tzselect(8)

NOME
tzselect - seleziona un fuso orario

SINTASSI
tzselect [ -c coord ] [ -n limit ] [ --help ] [ --version ]

DESCRIZIONE
Il programma tzselect pone domande all'utente sulla sua posizione geografica, e dà in risposta sullo standard output la descrizione del fuso orario: questa risposta può essere utilizzata come valore della variabile ambientale TZ.

Ogni interazione con l'utente è fatta tramite standard input e standard error.

OPZIONI

-c coord
    Instead of asking for continent and then country and then city, ask for selection from time zones whose largest cities are closest to the location with geographical coordinates coord. Use ISO 6709 notation for coord, that is, a latitude immediately followed by a longitude. The latitude and longitude should be signed integers followed by an optional decimal point and fraction: positive numbers represent north and east, negative south and west. Latitudes with two and longitudes with three integer digits are treated as degrees; latitudes with four or six and longitudes with five or seven integer digits are treated as DDMM, DDDMM, DDMMSS, or DDDMMSS representing DD or DDD degrees, MM minutes, and zero or SS seconds, with any trailing fractions represent fractional minutes or (if SS is present) seconds. The decimal point is that of the current locale. For example, in the (default) C locale, -c +40.689-074.045 specifies 40.689gradiN, 74.045gradiW, -c +4041.4-07402.7 specifies 40gradi41.4minutiN, 74gradi2.7minutiW, and -c +404121-0740240 specifies 40gradi41minuti21secondiN, 74gradi2minuti40secondiW. If coord is not one of the documented forms, the resulting behavior is unspecified.

-n limit
    When -c is used, display the closest limit locations (default 10).

--help
    Visualizza le iniformazioni di aiuto (help) ed esce.

--version
    Mostra le informazioni sulla versione ed esce.

VARIABILI D'AMBIENTE

AWK Nome di un programma awk conforme a POSIX (predefinito: awk).

TZDIR
    Directory contenente i dati sui fusi orari (predefinita: /usr/share/zoneinfo).

FILE

TZDIR/iso3166.tab
    Tabella di codici ISO 3166 a due lettere e nomi di nazioni.

TZDIR/zone1970.tab
    Tabella di codici nazione, latitudini, longitudini, valori TZ e spiegazioni varie.

TZDIR/TZ
    Dati sui fusi orari per timezone TZ.

STATO DI USCITA
Lo stato d'uscita è zero se una zona di fuso orario è stata ottenuta con successo dall'utente, diverso da zero altrimenti.

VEDERE ANCHE
newctime(3), tzfile(5), zdump(8), zic(8)

NOTE
Le applicazioni non devono presumere che l'output di tzselect trovi corrispondenze con zone di fuso orario definite per scelte politiche.

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Ottavio G. Rizzo <rizzo@pluto.linux.it>, Giulio Daprelà <giulio@pluto.it>, Elisabetta Galli <lab@kkk.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.